import typing
import datetime
import uuid

SQL_ADAPTER = {
  'string': str,
  'bigint': int,
  'int8': int,
  'bigserial': int,
  'serial8': int,
  'boolean': bool,
  'bool': bool,
  'character': str,
  'char': str,
  'character varying': str,
  'varchar': str,
  'cidr': typing.Any,
  'circle': typing.Any,
  'date': datetime.date,
  'double precision': float,
  'float8': float,
  'inet': typing.Any,
  'integer': int,
  'int': int,
  'int4': int,
  'interval': typing.Any,
  'json': typing.Any,
  'jsonb': typing.Any,
  'line': typing.Any,
  'lseg': typing.Any,
  'macaddr': typing.Any,
  'macaddr8': typing.Any,
  'money': typing.Any,
  'numeric': float,
  'decimal': float,
  'path': str,
  'pg_lsn': typing.Any,
  'pg_snapshot': typing.Any,
  'point': typing.Any,
  'polygon': typing.Any,
  'real': float,
  'float4': float,
  'smallint': int,
  'int2': int,
  'smallserial': int,
  'serial2': int,
  'serial': int,
  'serial4': int,
  'text': str,
  'time': datetime.datetime,
  'timestamp': datetime.datetime,
  'tsquery': typing.Any,
  'tsvector': typing.Any,
  'txid_snapshot': typing.Any,
  'uuid': uuid.UUID,
  'xml': typing.Any,
}
